Snap ins

List Snap Ins

Lists snap-ins for a Dev organization.

GET
/snap-ins.list

Lists snap-ins for a Dev organization.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Query Parameters

cursor?string

The cursor to resume iteration from. If not provided, then iteration starts from the beginning.

Formattext
limit?integer

The maximum number of snap-ins to return. The default is '50', the maximum is '100'.

Formatint32
marketplace_item.marketplace?string

The marketplace to filter by.

Formatid
marketplace_item.marketplace_item_slug?string

The marketplace item slug to filter by.

Formattext
mode?string

The iteration mode to use, otherwise if not set, then "after" is used.

Value in"after" | "before"
service_account?array<string>

Filter for service account associated with snap-in.

snap_in_version?array<string>

Filter for snap-in version associated with snap-in.

sort_by?array<string>

Fields to sort the snap-ins by and the direction to sort them.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.devrev.ai/snap-ins.list"
{
  "next_cursor": "string",
  "prev_cursor": "string",
  "snap_ins": [
    {
      "created_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "created_date": "2023-01-01T12:00:00.000Z",
      "display_id": "string",
      "id": "string",
      "modified_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "modified_date": "2023-01-01T12:00:00.000Z",
      "object_version": 0,
      "inputs_values": {}
    }
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden",
  "object_ids": [
    "string"
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}